#include <iostream>
using namespace std;

int N, Q, l, r;

void proveraNiza(int l, int r, int *A, int br) {
    int niz[br];
    for(int i=l-1; i<=r-1; i++) {
        int j = 0;
        niz[j] = A[i];
        j++;
    }
    if(br == 1) {
        cout << "NE";
        return;
    }
    if(niz[0]>niz[1]) {
        for(int i = 2; i<br; i++) {
            if((niz[i] >= niz[i-1]) && (niz[i]<=niz[i+1])) {
                cout << "DA";
                return;
            }
            else cout << "NE";
            return;
        }
    }
    if(niz[0]<niz[1]) {
        for(int i = 2; i<br; i++) {
            if((niz[i] >= niz[i-1]) && (niz[i]<=niz[i+1])) {
                cout << "NE";
                return;
            }
            else cout << "DA";
            return;
        }
    }
}

int main()
{
    cin>>N;
    int A[N];
    for(int i = 0; i<N; i++) {
        cin >> A[i];
    }
    cin>>Q;
    for(int i = 0; i<Q; i++) {
        cin >> l >> r;
        int br = r-l+1;
        proveraNiza(l, r, A, br);
    }
    return 0;
}